Bug 8904 - Plack variable scoping in tools/overduerules
Summary: Plack variable scoping in tools/overduerules
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low blocker (vote)
Assignee: Paul Poulain
QA Contact: Mason James
URL:
Keywords:
Depends on:
Blocks: 7172
  Show dependency treegraph
 
Reported: 2012-10-11 13:11 UTC by Paul Poulain
Modified: 2019-06-27 09:24 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 5904 fix Plack scoping for overduerules.pl (1.16 KB, patch)
2012-11-02 08:54 UTC, Paul Poulain
Details | Diff | Splinter Review
Bug 8904: fix Plack scoping for overduerules.pl (1.17 KB, patch)
2012-11-02 11:27 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Poulain 2012-10-11 13:11:38 UTC
It's impossible to save overduerules when you're running plack. Plack logs say:

Variable "@rule_params" is not available at /home/paul/koha.dev/koha-community/tools/overduerules.pl line 44.
Variable "$input" is not available at /home/paul/koha.dev/koha-community/tools/overduerules.pl line 52.
Comment 1 Paul Poulain 2012-11-02 08:54:23 UTC Comment hidden (obsolete)
Comment 2 Paul Poulain 2012-11-02 08:55:02 UTC
Upgrading severity to BLO, because it's a blocker for Plack
Comment 3 Jared Camins-Esakov 2012-11-02 11:27:36 UTC
Created attachment 13198 [details] [review]
Bug 8904: fix Plack scoping for overduerules.pl

There are 2 Plack scoping errors in tools/overduerules.pl:
the local sub blank_row require that @rule_params and input are global

Signed-off-by: Jared Camins-Esakov <jcamins@cpbibliography.com>
Comment 4 Mason James 2012-11-05 00:42:12 UTC
(In reply to comment #3)
> Created attachment 13198 [details] [review]
> Bug 8904: fix Plack scoping for overduerules.pl
> 
> There are 2 Plack scoping errors in tools/overduerules.pl:
> the local sub blank_row require that @rule_params and input are global
> 
> Signed-off-by: Jared Camins-Esakov <jcamins@cpbibliography.com>

patch looks good and works as stated, passing QA...

$ koha-qa.pl -c 1

testing 1 commit(s) (applied to commit dcf4a9b)
 * fa2cf71 Bug 8904: fix Plack scoping for overduerules.pl
      tools/overduerules.pl

* tools/overduerules.pl                                                    OK
Comment 5 Jared Camins-Esakov 2012-11-05 00:59:36 UTC
This patch has been pushed to master.
Comment 6 Paul Poulain 2012-11-05 08:52:10 UTC
Patch pushed to branch 3.10.x
Comment 7 Chris Cormack 2013-04-21 11:09:45 UTC
Released in 3.10.0